Index: src/c/unixfsys.d
===================================================================
RCS file: /cvsroot/ecls/ecls/src/c/unixfsys.d,v
retrieving revision 1.40
diff -u -r1.40 unixfsys.d
--- src/c/unixfsys.d	23 Nov 2004 15:01:40 -0000	1.40
+++ src/c/unixfsys.d	29 Nov 2004 09:32:41 -0000
@@ -487,14 +487,22 @@
 #else
 # ifdef _MSC_VER
 	WIN32_FIND_DATA fd;
-	HANDLE hFind = FindFirstFile(".\\*", &fd);
+	HANDLE hFind = NULL;
 	BOOL found = FALSE;
 
-	if (hFind == INVALID_HANDLE_VALUE)
-		return Cnil;
-	found = TRUE;
+	for (;;) {
+		if (hFind == NULL)
+		{
+			hFind = FindFirstFile(".\\*", &fd);
+			if (hFind == INVALID_HANDLE_VALUE)
+				return Cnil;
+			found = TRUE;
+		}
+		else
+			found = FindNextFile(hFind, &fd);
 
-	while (found) {
+		if (!found)
+			break;
 		text = fd.cFileName;
 
 # else /* sys/dir.h as in SYSV */
@@ -525,9 +533,6 @@
 			continue;
 		*out_cdr = CONS(make_string_copy(text), Cnil);
 		out_cdr = &CDR(*out_cdr);
-#ifdef _MSC_VER
-		found = FindNextFile(hFind, &fd);
-#endif
 	}
 #ifdef HAVE_DIRENT_H
 	closedir(dir);
Index: src/lsp/numlib.lsp
===================================================================
RCS file: /cvsroot/ecls/ecls/src/lsp/numlib.lsp,v
retrieving revision 1.16
diff -u -r1.16 numlib.lsp
--- src/lsp/numlib.lsp	25 Oct 2004 16:34:23 -0000	1.16
+++ src/lsp/numlib.lsp	29 Nov 2004 09:32:44 -0000
@@ -156,9 +156,9 @@
 
 #+(and (not ecl-min) win32)
 (progn
-  (ffi:clines "double asinh(x) { return log(x+sqrt(1.0+x*x)); }")
-  (ffi:clines "double acosh(x) { return log(x+sqrt((x-1)*(x+1))); }")
-  (ffi:clines "double atanh(x) { return (log(x+1)-log(x-1))/2; }"))
+  (ffi:clines "double asinh(double x) { return log(x+sqrt(1.0+x*x)); }")
+  (ffi:clines "double acosh(double x) { return log(x+sqrt((x-1)*(x+1))); }")
+  (ffi:clines "double atanh(double x) { return log((1+x)/(1-x))/2; }"))
 
 ;; Ported from CMUCL
 (defun asinh (x)
